Les ver­sions 4.0.1, 3.6.5 et 3.4.11 sont dis­po­ni­bles en fran­çais.

Ces ver­sions cor­ri­gent quel­ques bogues, dont un très impor­tant : si vous avez eu des dif­fi­cul­tés en essayant d’ins­tal­ler Bug­zilla 4.0, vous devriez essayer main­te­nant avec la ver­sion 4.0.1.

Il y avait un pro­blème avec la manière dont le script install-module.pl ins­tal­lait le module Math::Ran­dom::Secure – en gros, il ins­tal­lait le module même si les modu­les pré­re­quis à son ins­tal­la­tion échouaient à s’ins­tal­ler. Ensuite, quand vous essayiez de lan­cer le script checksetup.pl, Math::Ran­dom::Secure ren­voyait une erreur cryp­ti­que au sujet de « Math::Ran­dom::Secure::irand ».

Désor­mais, dans les ver­sions 4.0.1 et 3.6.5, install-module.pl n‘ins­tal­lera pas le module si son ins­tal­la­tion pro­vo­quait le plan­tage de votre ins­tal­la­tion Bug­zilla. Bug­zilla 3.4.11 va encore plus loin en n’uti­li­sant plus du tout Math::Ran­dom::Secure (mais ne vous inquié­tez pas, Bug­zilla 3.4.x est tou­jours sûr).

Ce billet est une tra­duc­tion libre du billet ori­gi­nal en anglais.

Comme tou­jours, vous pou­vez télé­char­ger les ver­sions fran­ci­sées sur notre page Bug­zilla.